| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PlainArraySElemDefn Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure PlainArraySElemDefn defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | PlainArraySElemDefn ()
| Default constructor.
eProsima_user_DllExport | ~PlainArraySElemDefn ()
| Default destructor.
eProsima_user_DllExport | PlainArraySElemDefn (const PlainArraySElemDefn &x)
| Copy constructor.
eProsima_user_DllExport | PlainArraySElemDefn (PlainArraySElemDefn &&x) noexcept
| Move constructor.
eProsima_user_DllExport PlainArraySElemDefn & | operator= (const PlainArraySElemDefn &x)
| Copy assignment.
eProsima_user_DllExport PlainArraySElemDefn & | operator= (PlainArraySElemDefn &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const PlainArraySElemDefn &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const PlainArraySElemDefn &x) const
| Comparison operator.
eProsima_user_DllExport void | header (const PlainCollectionHeader &_header)
| This function copies the value in member header.
eProsima_user_DllExport void | header (PlainCollectionHeader &&_header)
| This function moves the value in member header.
eProsima_user_DllExport const PlainCollectionHeader & | header () const
| This function returns a constant reference to member header.
eProsima_user_DllExport PlainCollectionHeader & | header ()
| This function returns a reference to member header.
eProsima_user_DllExport void | array_bound_seq (const SBoundSeq &_array_bound_seq)
| This function copies the value in member array_bound_seq.
eProsima_user_DllExport void | array_bound_seq (SBoundSeq &&_array_bound_seq)
| This function moves the value in member array_bound_seq.
eProsima_user_DllExport const SBoundSeq & | array_bound_seq () const
| This function returns a constant reference to member array_bound_seq.
eProsima_user_DllExport SBoundSeq & | array_bound_seq ()
| This function returns a reference to member array_bound_seq.
eProsima_user_DllExport void | element_identifier (const eprosima::fastcdr::external< TypeIdentifier > &_element_identifier)
| This function copies the value in member element_identifier.
eProsima_user_DllExport void | element_identifier (eprosima::fastcdr::external< TypeIdentifier > &&_element_identifier)
| This function moves the value in member element_identifier.
eProsima_user_DllExport const eprosima::fastcdr::external< TypeIdentifier > & | element_identifier () const
| This function returns a constant reference to member element_identifier.
eProsima_user_DllExport eprosima::fastcdr::external< TypeIdentifier > & | element_identifier ()
| This function returns a reference to member element_identifier.

## Detailed Description

This class represents the structure PlainArraySElemDefn defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ PlainArraySElemDefn() [1/3]

eProsima_user_DllExport PlainArraySElemDefn | ( |  | ) |

inline

Default constructor.

## ◆ ~PlainArraySElemDefn()

eProsima_user_DllExport ~PlainArraySElemDefn | ( |  | ) |

inline

Default destructor.

## ◆ PlainArraySElemDefn() [2/3]

eProsima_user_DllExport PlainArraySElemDefn | ( | const PlainArraySElemDefn & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object PlainArraySElemDefn that will be copied.

## ◆ PlainArraySElemDefn() [3/3]

eProsima_user_DllExport PlainArraySElemDefn | ( | PlainArraySElemDefn && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object PlainArraySElemDefn that will be copied.

## Member Function Documentation

## ◆ array_bound_seq() [1/4]

eProsima_user_DllExport SBoundSeq & array_bound_seq | ( |  | ) |

inline

This function returns a reference to member array_bound_seq.

Returns
  Reference to member array_bound_seq

## ◆ array_bound_seq() [2/4]

eProsima_user_DllExport const SBoundSeq & array_bound_seq | ( |  | ) | const

inline

This function returns a constant reference to member array_bound_seq.

Returns
  Constant reference to member array_bound_seq

## ◆ array_bound_seq() [3/4]

eProsima_user_DllExport void array_bound_seq | ( | const SBoundSeq & | _array_bound_seq | ) |

inline

This function copies the value in member array_bound_seq.

Parameters

  _array_bound_seq | New value to be copied in member array_bound_seq

## ◆ array_bound_seq() [4/4]

eProsima_user_DllExport void array_bound_seq | ( | SBoundSeq && | _array_bound_seq | ) |

inline

This function moves the value in member array_bound_seq.

Parameters

  _array_bound_seq | New value to be moved in member array_bound_seq

## ◆ element_identifier() [1/4]

eProsima_user_DllExport eprosima::fastcdr::external< TypeIdentifier > & element_identifier | ( |  | ) |

inline

This function returns a reference to member element_identifier.

Returns
  Reference to member element_identifier

## ◆ element_identifier() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::external< TypeIdentifier > & element_identifier | ( |  | ) | const

inline

This function returns a constant reference to member element_identifier.

Returns
  Constant reference to member element_identifier

## ◆ element_identifier() [3/4]

eProsima_user_DllExport void element_identifier | ( | const eprosima::fastcdr::external< TypeIdentifier > & | _element_identifier | ) |

inline

This function copies the value in member element_identifier.

Parameters

  _element_identifier | New value to be copied in member element_identifier

## ◆ element_identifier() [4/4]

eProsima_user_DllExport void element_identifier | ( | eprosima::fastcdr::external< TypeIdentifier > && | _element_identifier | ) |

inline

This function moves the value in member element_identifier.

Parameters

  _element_identifier | New value to be moved in member element_identifier

## ◆ header() [1/4]

eProsima_user_DllExport PlainCollectionHeader & header | ( |  | ) |

inline

This function returns a reference to member header.

Returns
  Reference to member header

## ◆ header() [2/4]

eProsima_user_DllExport const PlainCollectionHeader & header | ( |  | ) | const

inline

This function returns a constant reference to member header.

Returns
  Constant reference to member header

## ◆ header() [3/4]

eProsima_user_DllExport void header | ( | const PlainCollectionHeader & | _header | ) |

inline

This function copies the value in member header.

Parameters

  _header | New value to be copied in member header

## ◆ header() [4/4]

eProsima_user_DllExport void header | ( | PlainCollectionHeader && | _header | ) |

inline

This function moves the value in member header.

Parameters

  _header | New value to be moved in member header

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const PlainArraySElemDefn & | x | ) | const

inline

Comparison operator.

Parameters

  x | PlainArraySElemDefn object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport PlainArraySElemDefn & operator= | ( | const PlainArraySElemDefn & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object PlainArraySElemDefn that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport PlainArraySElemDefn & operator= | ( | PlainArraySElemDefn && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object PlainArraySElemDefn that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const PlainArraySElemDefn & | x | ) | const

inline

Comparison operator.

Parameters

  x | PlainArraySElemDefn object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp